
%global meadversion 2.2.0
%global namedversion 2.2.0.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead
%define eap7_homedir %{_datadir}/wildfly

%{?scl:%scl_package wildfly-openssl-el8-x86_64}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.0.Final-redhat-00002

Name:           %{?scl_prefix}wildfly-openssl-el8-x86_64
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OpenSSL Bindings for Java
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source100: wildfly-openssl-linux-rhel8-x86_64-2.2.0.Final-redhat-00002-project-sources.tar.gz
Source102: wildfly-openssl-linux-rhel8-x86_64-2.2.0.Final-redhat-00002-scm-sources.zip
Source103: wildfly-openssl-linux-rhel8-x86_64-2.2.0.Final-redhat-00002.jar
Source104: wildfly-openssl-linux-rhel8-x86_64-2.2.0.Final-redhat-00002.pom
Source105: wildfly-openssl-linux-rhel8-x86_64-2.2.0.Final-redhat-00002-sources.jar
%endif

URL:            https://github.com/wildfly/wildfly-openssl

BuildRequires:  unzip
Provides:       %{?scl_prefix}wildfly-openssl-linux = %{epoch}:%{version}-%{release}
Obsoletes:      %{?scl_prefix}wildfly-openssl-linux < 0:1.0.8
Obsoletes:      %{?scl_prefix}wildfly-openssl-linux-debuginfo < 0:1.0.8
Provides:       %{?scl_prefix}wildfly-openssl-linux-x86_64 = %{epoch}:%{version}-%{release}
Obsoletes:      %{?scl_prefix}wildfly-openssl-linux-x86_64 < 0:2.0.0
Obsoletes:      %{?scl_prefix}wildfly-openssl-linux-x86_64-debuginfo < 0:2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
This project provides OpenSSL bindings for Java. As much as possible they attempt to use existing JSSE API's, so the
SSLContext should be usable as a drop in replacement for applications that are currently using JSSE.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-openssl-el8-x86_64
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%%setup -q -n wildfly-openssl-linux-rhel8-x86_64-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib
%{__unzip} -d %{buildroot}%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib -qqo %{_sourcedir}/wildfly-openssl-linux-rhel8-x86_64-%{namedversion}.jar linux-rhel8-%{_build_arch}/libwfssl.so
find %{buildroot}%{eap7_homedir} -type d | xargs %{__chmod} 775
find %{buildroot}%{eap7_homedir} -type f -name "*.so" | xargs %{__chmod} 775

%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-openssl-linux-rhel8-x86_64-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-openssl-el8-x86_64-%{namedversion}-javadoc.jar
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-openssl-el8-x86_64-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/wildfly-openssl-linux-rhel8-x86_64-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-openssl-el8-x86_64-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-openssl-el8-x86_64-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-openssl-el8-x86_64
%endif

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib/linux-rhel8-*


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-openssl-el8-x86_64-%{namedversion}
%{_javadocdir}/wildfly-openssl-el8-x86_64
%endif

%changelog
* Mon Mar 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.2.0-2.Final_redhat_00002.1
Built by CPaaS



* Thu Feb 24 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.2.0-1.Final_redhat_00001.1
- Submit new version

* Wed Feb 09 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.1.0-3.SP01_redhat_00001.1
- Building version 2.1.0.SP01-redhat-00001

* Fri Dec 04 2020 Permaine Cheung <pcheung@redhat.com> - 2.1.0-2.SP01_redhat_00001.1
- Fix Obsoletes for upgrade to work

* Fri Oct 23 2020 Yong Yang <yyang@redhat.com> - 2.1.0-1.SP01_redhat_00001.1
-  2.1.0.SP01-redhat-00001

* Mon Jun 22 2020 Yong Yang <yyang@redhat.com> - 1.1.0-1.Final_redhat_00001.1
-  1.1.0.Final-redhat-00001 

* Fri Jun 19 2020 Yong Yang <yyang@redhat.com> - 1.1.0-1.Final_redhat_00001.1
-  1.1.0.Final-redhat-00001 

* Fri Jun 19 2020 Yong Yong Yang <yyang@redhat.com> - 1.1.0.Final-redhat-00001
- First release
